RejectReason (3.14.0 400 API)
Date: 2018-11-22

com.marketfactory.zerogc.api

## Enum RejectReason

- java.lang.Object
- - java.lang.Enum<RejectReason>
  - - com.marketfactory.zerogc.api.RejectReason

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<RejectReason>

      public enum RejectReason
      extends java.lang.Enum<RejectReason>

  The reason that the request failed.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `_INVALID`
    `CREDIT_LOW` Your order was rejected because of insufficient credit.
    `DUPLICATE_ORDER`
    `EXCEEDS_DSL_LIMIT` Order would exceed allowed Daily Settlement Limit.
    `EXCEEDS_NOP_LIMIT` Order would exceed allowed Net Open Position.
    `EXCEEDS_PENDING_LIMIT` Order would exceed allowed outstanding position.
    `EXCEEDS_POSITION_LIMIT` Order would exceed allowed position.
    `EXCEEDS_SINGLE_LIMIT` Order would exceed allowed max amount for a single order.
    `EXCHANGE_NOT_AVAILABLE`
    `FEED_DOWN` Your request could not be sent because connection to the feed is down.
    `INCORRECT_PRICE`
    `INCORRECT_QUANTITY`
    `INVALID_CLORDID` The ClOrdID provided does not conform to exchange standards
    `INVALID_FEED`
    `INVALID_MARKET`
    `INVALID_MIN_AMOUNT` Either minimum amount value is invalid or this feed does not support it.
    `INVALID_MODEL`
    `INVALID_ORDER`
    `INVALID_ORDER_TYPE`
    `INVALID_TIME_IN_FORCE`
    `LOCKED_USER` Rejected because the user has been locked.
    `MARKET_NOT_ACTIVE` This market is not active.
    `NOT_APPLICABLE`
    `NOT_SUBSCRIBED` Rejected because you are not subscribed to the corresponding feed.
    `RESEND_REQUESTED` The exchange requested resend for this order.
    `TOO_MANY_ORDER_SUBMITS` Order submission threshold has been exceeded.
    `TRADE_LIMIT_RESTRICTION` Generic rejection based on trade limit rules.
    `UNKNOWN_ORDER`
    `UNKNOWN_SYMBOL`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `byte` | `val`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `byte` | `get()`
    `static RejectReason` | `get(byte value)`
    `static java.util.Collection<RejectReason>` | `validValues()`
    `static RejectReason` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static RejectReason[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_SUBSCRIBED

          public static final RejectReason NOT_SUBSCRIBED

      Rejected because you are not subscribed to the corresponding feed.

    - #### UNKNOWN_SYMBOL

          public static final RejectReason UNKNOWN_SYMBOL

    - #### EXCHANGE_NOT_AVAILABLE

          public static final RejectReason EXCHANGE_NOT_AVAILABLE

    - #### CREDIT_LOW

          public static final RejectReason CREDIT_LOW

      Your order was rejected because of insufficient credit.

    - #### DUPLICATE_ORDER

          public static final RejectReason DUPLICATE_ORDER

    - #### INCORRECT_QUANTITY

          public static final RejectReason INCORRECT_QUANTITY

    - #### INCORRECT_PRICE

          public static final RejectReason INCORRECT_PRICE

    - #### INVALID_ORDER

          public static final RejectReason INVALID_ORDER

    - #### INVALID_FEED

          public static final RejectReason INVALID_FEED

    - #### INVALID_MARKET

          public static final RejectReason INVALID_MARKET

    - #### FEED_DOWN

          public static final RejectReason FEED_DOWN

      Your request could not be sent because connection to the feed is down.

    - #### INVALID_ORDER_TYPE

          public static final RejectReason INVALID_ORDER_TYPE

    - #### INVALID_TIME_IN_FORCE

          public static final RejectReason INVALID_TIME_IN_FORCE

    - #### INVALID_CLORDID

          public static final RejectReason INVALID_CLORDID

      The ClOrdID provided does not conform to exchange standards

    - #### UNKNOWN_ORDER

          public static final RejectReason UNKNOWN_ORDER

    - #### TOO_MANY_ORDER_SUBMITS

          public static final RejectReason TOO_MANY_ORDER_SUBMITS

      Order submission threshold has been exceeded.

    - #### RESEND_REQUESTED

          public static final RejectReason RESEND_REQUESTED

      The exchange requested resend for this order.

    - #### MARKET_NOT_ACTIVE

          public static final RejectReason MARKET_NOT_ACTIVE

      This market is not active.

    - #### LOCKED_USER

          public static final RejectReason LOCKED_USER

      Rejected because the user has been locked.

    - #### EXCEEDS_NOP_LIMIT

          public static final RejectReason EXCEEDS_NOP_LIMIT

      Order would exceed allowed Net Open Position.

    - #### EXCEEDS_DSL_LIMIT

          public static final RejectReason EXCEEDS_DSL_LIMIT

      Order would exceed allowed Daily Settlement Limit.

    - #### EXCEEDS_POSITION_LIMIT

          public static final RejectReason EXCEEDS_POSITION_LIMIT

      Order would exceed allowed position.

    - #### EXCEEDS_PENDING_LIMIT

          public static final RejectReason EXCEEDS_PENDING_LIMIT

      Order would exceed allowed outstanding position.

    - #### EXCEEDS_SINGLE_LIMIT

          public static final RejectReason EXCEEDS_SINGLE_LIMIT

      Order would exceed allowed max amount for a single order.

    - #### TRADE_LIMIT_RESTRICTION

          public static final RejectReason TRADE_LIMIT_RESTRICTION

      Generic rejection based on trade limit rules.

    - #### INVALID_MODEL

          public static final RejectReason INVALID_MODEL

    - #### INVALID_MIN_AMOUNT

          public static final RejectReason INVALID_MIN_AMOUNT

      Either minimum amount value is invalid or this feed does not support it.

    - #### NOT_APPLICABLE

          public static final RejectReason NOT_APPLICABLE

    - #### _INVALID

          public static final RejectReason _INVALID

  - ### Field Detail

    - #### val

          public byte val

  - ### Method Detail

    - #### values

          public static RejectReason[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (RejectReason c : RejectReason.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static RejectReason valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### get

          public byte get()

    - #### get

          public static RejectReason get(byte value)

    - #### validValues

          public static java.util.Collection<RejectReason> validValues()